> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Odoo Helpdesk companies for a database



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json get /v1/integration/{integrationId}/odoo-helpdesk/companies
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/integration/{integrationId}/odoo-helpdesk/companies:
    get:
      tags:
        - Integration
      summary: List Odoo Helpdesk companies for a database
      operationId: OdooHelpdeskController_getCompanies
      parameters:
        - name: integrationId
          required: true
          in: path
          description: Odoo Helpdesk integration ID
          schema:
            type: string
        - name: database
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OdooHelpdeskCompanyDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    OdooHelpdeskCompanyDto:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
      required:
        - id
        - name
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````